
QGIS Application - Bug report #17004

Spatial bookmarks: SRID value should not be set to 0 when moving a bookmark to/from a project

2017-08-10 06:39 PM - Steven Mizuno

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: GUI

Affected QGIS version:2.18.11 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24903

Description

This is a problem when this bookmark is used with a project that has a different CRS from it. The extent values are used as is, but the

SRID is lost, so the bookmark zooms to an unexpected area.

Note that you can change a bookmark's SRID. This will fix the bookmark so it zooms to the expected area.

2.18 has the same behavior.

I am using OSGeo4W nightly build on Windows 8.1 64-bit system.

Related issues:

Duplicated by QGIS Application - Bug report # 17472: Clicking the "In Project... Closed 2017-11-15

History

#1 - 2017-08-11 02:48 AM - Steven Mizuno

- Affected QGIS version changed from master to 2.18.11

I should have indicated version 2.18 rather than master, and that I believe master has the same behavior as a project bookmark's SRID becomes 0, but

can't fully test due to a bug in moving bookmarks.

Further information: I believe the SRID value isn't being copied from the bookmarks list because the <SRID> element that should be in the project file isn't

present, so a 0 value results when the element is read. The <SRID> element is present after changing the SRID value in the bookmarks list.

#2 - 2017-08-11 09:24 AM - Giovanni Manghi

Steven Mizuno wrote:

I should have indicated version 2.18 rather than master, and that I believe master has the same behavior as a project bookmark's SRID becomes 0,

but can't fully test due to a bug in moving bookmarks.

that is ok. If an issue is affecting both 2.18 (the actual LTR) and master this should be tagged for 2.18. When qgis 3(.2) will become the new LTR then I

guess we will need to move all the open issues (still affecting 3) from 2.18 to 3.2.

#3 - 2017-11-29 02:36 PM - Alessandro Pasotti

- Duplicated by Bug report #17472: Clicking the "In Project" checkbox in Bookmarks panel corrupts the bookmarks list added

2025-06-13 1/2



#4 - 2017-11-29 02:36 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Assignee set to Alessandro Pasotti

- Status changed from Open to Closed

Fixed in master https://github.com/qgis/QGIS/pull/5765
